[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomCheckGroup.Notification

Handles the notification for a components inserted into or deleted from the control.

## Declaration

Source position: extctrls.pp line 892

`protected procedure TCustomCheckGroup.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component added to or removed from the control instance.
`Operation` |  | Operation performed for the component.

## Description

Notification is an overridden method in TCustomCheckGroup. It calls the inherited method on entry to handle notifications for pop-up menus, actions, or control references in AnchorSides. In TCustomCheckGroup, it maintains the internal list of TCheckBox instances when a check box is removed from the control.

## Version info

Added in LCL version 3.0.0.

## See also

#lcl.controls.TControl.Notification |  | Notification handler for insertion or deletion of components.